Page MenuHomePhabricator

Set up a Zulip instance
Closed, ResolvedPublic

Description

The goal of this task is to set up a Zulip instance on Tool Labs before the announcement of GSOC/Outreachy results and make it available for students and mentors.

Event Timeline

@srishakatux: Are there any expectations towards the Cloud-Services team to clarify, or why was that tag added to this task?

@Aklapper Yeah! Realizing that shouldn't have been done, removing the tag now.

Qgil added a comment.Apr 19 2017, 3:15 PM

Has there been any request to set up a Zulip instance?

srishakatux closed this task as Resolved.Apr 19 2017, 7:25 PM

Here is an update on this task > We just got offered from Sumana to use the SaaS version (beta) of Zulip, so we would not need any additional setup at this point. More details are here as explained by Sumana in the email:

zulipchat.com is the SaaS version of Zulip, run by the Zulip core team. It's running the same code as the open source project (aside from temporary discrepancies where we deploy something early, etc.). It has high uptime and is upgraded frequently, like any good SaaS service. And zulipchat.com hosting is free for open source communities, with unlimited history.

Also learned that if in the future we decide to continue using it and self-host, there would be a way to use their data export tool. I just set up an account for us; it's here now > https://wikimedia.zulipchat.com/.

It's good to learn from Bryan Davis about some of the challenges we might run into while setting it up ourselves. It might be tricky to find a way to do auth for it that doesn't collect password. Also, we will have to recruit volunteers much ahead who would be willing to help us setup and test things.

With this, I am resolving this task!

Qgil added a comment.Apr 20 2017, 11:58 AM

This is a great solution here now! Also thank you to Sumana for connecting the dots.

Qgil awarded a token.Apr 20 2017, 11:58 AM
Aklapper renamed this task from Set up a Zulip instance on tool Labs to Set up a Zulip instance.Oct 12 2017, 1:43 PM

The goal of this task is to set up a Zulip instance on Tool Labs

@srishakatux: Is there a task about moving to a Zulip instance hosted on Wikimedia servers?
If there is not, do you plan to create a task so we do not have rely on third-party services and their terms of service?

@srishakatux: ping - Could you answer my last question, please?

Answering myself: We already do in some cases (Freenode, etc) so it's not a problem per-se.